//GENERICOS
html {font-size: 1.125em;}
body {
  font-family: $font;
  font-size: 1.125em;
  font-weight: 300;
  background-color: $body;
  line-height: 1.45;
  color: $tipo;
  margin-top: 0;
  min-width: 300px;
}
.alert{
    display: none;
}
p {
    margin-bottom: 1.3em;    
}

h1, h2, h3, h4 {
  margin: 1em 0 0.5em;
  font-weight: bold;
  line-height: 1.2;
}

h1 {
  margin-top: 0;
  font-size: 2.441em;
}

h2 {font-size: 1.953em;}

h3 {font-size: 1.563em;}

h4 {font-size: 1.25em;}


small, .font_small {
    font-size: 0.8em;
    @media (max-width: 662px) {
        font-size: 1em;
        
    }
}

@media (max-width: 620px) {
    h2{font-size: 1.563em;}
    html,body{font-size: 1em;}
}


.breadcrumb{
    background: transparent;
    padding: 10px 0;
    margin-top: 20px;
    @extend .font_small;

    > li + li:before {
        padding: 0 5px;
        color: #ccc;
        content: "\00bb";
    }
}
.fa {
    vertical-align: middle;  
}
/*---BOTONES--*/

.btn-primary {
    background-color: $primaryColor;
    color: $blanco;
    border-color: $primaryColor;
    border-radius: 50px;
    border-width: 2px;
    font-weight: 700;
    transition: all 0.2s ease; 
    &:hover, &:focus, &:active, &:active:hover {
        background-color:$blanco;
        color: $primaryColor;
        border-color: $primaryColor;
    }
}


.btn-default {
    color: $primaryColor;
    background-color: transparent;
    border-color: $primaryColor; 
    border-width: 2px;
    border-style: solid;
    border-image: initial;
    padding: 10px 16px;
    border-radius: 50px;
    margin-top: 2px;
    &:hover, &:focus{
        color: $blanco;
        background-color: $primaryColor;
        border-color: $primaryColor; 
    }
}

//FIX Modal
.modal-open .navbar-fixed-top,
.modal-open .navbar-fixed-bottom {
 margin-right: 15px;
}

.btn.disabled, .btn[disabled], fieldset[disabled] .btn {
    cursor: not-allowed;
    filter: alpha(opacity=65);
    -webkit-box-shadow: none;
    box-shadow: none;
    opacity: .65;
    border-color: $claro;
    background-color: $claro;
}

.btn.disabled:hover, .btn[disabled]:hover, fieldset[disabled] .btn:hover {
    color: $blanco;
    border-color: $claro;
    background-color: $claro;
}




.visually-hidden {
    position: absolute !important;
    clip: rect(1px, 1px, 1px, 1px);
    overflow: hidden;
    height: 1px;
    width: 1px;
    word-wrap: normal;
}

.visually-hidden.focusable:active, .visually-hidden.focusable:focus {
    position: fixed !important;
    clip: auto;
    overflow: visible;
    height: auto;
    width: 100%;
}

a.skip-link{
    
    padding: 20px;
    margin: 0 auto;
    background-color: $primaryColor;
    text-align: center;
    z-index: 8000;
    color: $blanco;
}

.input-group-addon {

}

button.toggle-button{    
    background: transparent;
    border: 0;
    height: 30px;
    &:hover{
        color: $primaryColor;
    }
}
  
.form-footer{
    margin: 40px 0;
    p{
        margin: 0;
        margin-top: 8px;
    }
    @media (max-width: 768px) {
        text-align: center;
        
    }


    
}



.form-required:after {
    background-image: url(../images/required.svg);
    -webkit-background-size: 10px 10px;
    background-size: 10px 10px;
    content: "";
    display: inline-block;
    line-height: 1;
    height: 10px;
    width: 10px;
}
